STRSTR(3)

NAME
strstr - locate a substring in a string

LIBRARY
libc

SYNOPSIS
#include <string.h>
char *
strstr(const char *big, const char *little);

DESCRIPTION
The strstr() function locates the first occurrence of the null-terminated string little in the null-terminated string big. If little is the empty string, strstr() returns big; if little occurs nowhere in big, strstr() returns NULL; otherwise strstr() returns a pointer to the first character of the first occurrence of little.

SEE ALSO
index(3), memchr(3), rindex(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strtok(3)

STANDARDS
The strstr() function conforms to ansiC.